< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package objectstore
  Definition Classes
    hmrc
-  package client
  Definition Classes
    objectstore
-  package config
  Definition Classes
    client
-  package model
  Definition Classes
    client
- ObjectStoreClient

c

uk.gov.hmrc.objectstore.client

# ObjectStoreClient 

###

#### class ObjectStoreClient[F[_], REQ_BODY, RES, RES_BODY] extends AnyRef

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ObjectStoreClient
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new ObjectStoreClient(client: HttpClient[F, REQ_BODY, RES], read: ObjectStoreRead[F, RES, RES_BODY], config: ObjectStoreClientConfig)(implicit F: Monad[F])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def deleteObject(path: File, owner: String): F[Unit]
7.  def deleteObject(path: File): F[Unit]
8.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
9.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
11.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  def getObject[CONTENT](path: File, owner: String)(implicit cr: ObjectStoreContentRead[F, RES_BODY, CONTENT]): F[Option[Object[CONTENT]]]
13.  def getObject[CONTENT](path: File)(implicit cr: ObjectStoreContentRead[F, RES_BODY, CONTENT]): F[Option[Object[CONTENT]]]
14.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  def listObjects(path: Directory, owner: String): F[ObjectListing]
17.  def listObjects(path: Directory): F[ObjectListing]
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  def putObject[CONTENT](path: File, content: CONTENT, owner: String)(implicit w: ObjectStoreContentWrite[F, CONTENT, REQ_BODY]): F[Unit]
22.  def putObject[CONTENT](path: File, content: CONTENT)(implicit w: ObjectStoreContentWrite[F, CONTENT, REQ_BODY]): F[Unit]
23.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped